<template>
  <div>
    <b-form-input
      v-model="filter"
      type="search"
      id="filterInput"
      placeholder="Type to Filter"
    ></b-form-input>
    <gl-table
      :items="baseSelectors"
      :fields="$options.fields"
      sort-by="size"
      :sort-desc="true"
      :filter="filter"
      :filterIncludedFields="filterOn"
    >
      <template #cell(file)="{ item }">
        <nuxt-link :to="{ path: 'search', query: { q: item.file } }">
          {{ item.file }}
        </nuxt-link>
      </template>
    </gl-table>
  </div>
</template>

<script>
import axios from 'axios';
import {
  GlCard,
  GlTable,
  GlCollapse,
  GlCollapseToggleDirective,
} from '@gitlab/ui';

export default {
  props: ['baseSelectors'],
  fields: [
    {
      key: 'baseSelector',
      label: 'Base Selector',
      sortable: true,
    },
    {
      key: 'size',
      label: 'Rules Length',
      sortable: true,
    },
    {
      key: 'count',
      label: 'Count',
      sortable: true,
    },
  ],
  components: {
    GlTable,
    GlCollapse,
  },
  directives: {
    collapseToggle: GlCollapseToggleDirective,
  },
  data() {
    return {
      filter: null,
      filterOn: [],
    };
  },
};
</script>
